#! /usr/bin/env python


import sys, os

if len(sys.argv) == 1:
   start_dir = '.'
elif len(sys.argv) == 2:
   start_dir = sys.argv[1]
else:
   sys.exit("Usage: %s [start_dir]" % sys.argv[0])

prog_dir = os.path.abspath(os.path.dirname(sys.argv[0]))


def ml_playlist(arg, dirname, names):
   has_mp3 = 0
   for filename in names:
      if filename.endswith(".mp3") or filename.endswith(".MP3"):
         has_mp3 = 1
         break

   if not has_mp3:
      return

   print "Making playlist in", dirname
   save_dir = os.getcwd()
   os.chdir(dirname)
   os.system("%s/mk_list.py" % prog_dir)
   os.chdir(save_dir)


os.path.walk(start_dir, ml_playlist, None)
