#! /usr/bin/env python

import sys, os

helper_pipe = os.popen("guess_label.sh", 'r')
line = helper_pipe.read()
helper_pipe.close()

source_dir = line.strip()
os.chdir(source_dir)

entries = os.listdir('.')
files = filter(os.path.isfile, entries)

if not files:
   files = filter(os.path.isdir, entries)
   if len(files) == 0:
      sys.exit("Cannot find any file in `%s'" % source_dir)
   if len(files) > 1:
      sys.exit("Too many directories in `%s'" % source_dir)

if len(files) > 1:
   sys.exit("Too many files in `%s'" % source_dir)

filename = os.path.basename(files[0])
filename = os.path.splitext(filename)[0]
filename = filename.replace('_', ' ')

if len(filename) <= 32:
   print filename
else:
   sys.exit("The label `%s' is too long: %d (max 32)" % (filename, len(filename)))
